### Method

# Pos InputMethod send_string

#### Declaration [src]

    void
    pos_input_method_send_string (
      PosInputMethod* self,
      const char* string,
      gboolean commit
    )

#### Description [src]

This sends the given text via a `commit_string` request.

#### Parameters

`string`

  Type: `const char*`

  The text to send.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`commit`

  Type: `gboolean`

  Whether to invoke `commit` request as well.